import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const liveStockGetFreezingRequests = createAsyncThunk(
  "LIVE_STOCK_GET_FREEZING_REQUESTS",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("cold-house-allocations/", {
      params: d,
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
